All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Interface ExportColumn

All Superinterfaces:
  ExportObject<DataItem,ExportColumn>, NamedObjectInterface

    public interface ExportColumn

extends ExportObject<DataItem,ExportColumn>

Export of a IQ Selected Item (column, row, background, hidden) object.

Field Summary
`static java.lang.String` | `SAS_TYPE_CHARACTER`
`static java.lang.String` | `SAS_TYPE_NUMERIC`
`static java.lang.String` | `SAS_TYPE_UNKNOWN`

Method Summary
`Function` | `getAggregationType()` Returns the default aggregation type, the pre-aggregation type, or null if the column is a category (group by) column.
`java.lang.String` | `getFormat()` Returns the format of the column
`Role` | `getRole()` Return the Role, i.e., Column, Background, Hidden
`java.lang.String` | `getText()` Returns this column's expression in text form
`java.lang.String` | `getType()` Return the SAS type: NUMERIC or CHARACTER
`DataItemActionType` | `getUsage()` Return the usage, i.e.
`boolean` | `isCalculated()` Returns true if this column is calculated
`boolean` | `isPreAggregated()` Returns true if the column is pre-aggregated.

Methods inherited from interface com.sas.iquery.metadata.business.ExportObject
`getDescription, getExportMetadata, getExportObjectFactory, getID, getLabel, getUnderlyingObject, getUniqueExportName`

Field Detail

### SAS_TYPE_UNKNOWN

    static final java.lang.String SAS_TYPE_UNKNOWN

See Also:
  Constant Field Values

### SAS_TYPE_NUMERIC

    static final java.lang.String SAS_TYPE_NUMERIC

See Also:
  Constant Field Values

### SAS_TYPE_CHARACTER

    static final java.lang.String SAS_TYPE_CHARACTER

See Also:
  Constant Field Values

Method Detail

### isCalculated

    boolean isCalculated()
                         throws MetadataException

  Returns true if this column is calculated

  Throws:
    `MetadataException`

### getText

    java.lang.String getText()
                             throws MetadataException

  Returns this column's expression in text form

  Throws:
    `MetadataException`

### getFormat

    java.lang.String getFormat()
                               throws MetadataException

  Returns the format of the column

  Throws:
    `MetadataException`

### getUsage

    DataItemActionType getUsage()
                                throws MetadataException

  Return the usage, i.e. AGGREGATE, CATEGORY, DETAIL..

  Throws:
    `MetadataException`

### getRole

    Role getRole()
                 throws MetadataException

  Return the Role, i.e., Column, Background, Hidden

  Throws:
    `MetadataException`

### getType

    java.lang.String getType()
                             throws MetadataException

  Return the SAS type: NUMERIC or CHARACTER

  Throws:
    `MetadataException`

### isPreAggregated

    boolean isPreAggregated()
                            throws MetadataException

  Returns true if the column is pre-aggregated.

  Throws:
    `MetadataException`

### getAggregationType

    Function getAggregationType()
                                throws MetadataException

  Returns the default aggregation type, the pre-aggregation type, or null if the column is a category (group by) column.

  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.